## com.bbn.openmap.layer.dted
Class DTEDFrameSubframe

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDFrameSubframe

public class DTEDFrameSubframe
extends java.lang.Object

Field Summary
`static int` `BOUNDARYSHADING` Test markings, for the boundary of the subframe.
`static int` `COLOREDSHADING` Colorized slope shading.
`static int` `DEFAULT_BANDHEIGHT` Default height between bands in band views.
`static int` `DEFAULT_SLOPE_ADJUST` Default contrast setting for slope shading.
`static int` `FEETSHADING` Banded contour coloring, contour based on feet.
`OMRaster` `image`
`static int` `LEVEL_0` DTED LEVEL 0, 1km posts.
`static int` `LEVEL_1` DTED LEVEL 1, 100m posts.
`static int` `LEVEL_2` DTED LEVEL 2, 30m posts.
`static int` `METERSHADING` Banded contour coloring, contour based on meters.
`static int` `NOSHADING` Empty image.
`DTEDFrameSubframeInfo` `si`
`static int` `SLOPESHADING` Gray scale slope shading, sun from the Northwest.

Constructor Summary
`DTEDFrameSubframe(DTEDFrameSubframeInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOSHADING

    public static final int NOSHADING

  Empty image.

  See Also:
    Constant Field Values

### SLOPESHADING

    public static final int SLOPESHADING

  Gray scale slope shading, sun from the Northwest.

  See Also:
    Constant Field Values

### METERSHADING

    public static final int METERSHADING

  Banded contour coloring, contour based on meters.

  See Also:
    Constant Field Values

### FEETSHADING

    public static final int FEETSHADING

  Banded contour coloring, contour based on feet.

  See Also:
    Constant Field Values

### BOUNDARYSHADING

    public static final int BOUNDARYSHADING

  Test markings, for the boundary of the subframe.

  See Also:
    Constant Field Values

### COLOREDSHADING

    public static final int COLOREDSHADING

  Colorized slope shading. Color basnds are based on elevation, and are accented by shaded indications.

  See Also:
    Constant Field Values

### LEVEL_0

    public static final int LEVEL_0

  DTED LEVEL 0, 1km posts.

  See Also:
    Constant Field Values

### LEVEL_1

    public static final int LEVEL_1

  DTED LEVEL 1, 100m posts.

  See Also:
    Constant Field Values

### LEVEL_2

    public static final int LEVEL_2

  DTED LEVEL 2, 30m posts.

  See Also:
    Constant Field Values

### DEFAULT_BANDHEIGHT

    public static final int DEFAULT_BANDHEIGHT

  Default height between bands in band views.

  See Also:
    Constant Field Values

### DEFAULT_SLOPE_ADJUST

    public static final int DEFAULT_SLOPE_ADJUST

  Default contrast setting for slope shading.

  See Also:
    Constant Field Values

### si

    public DTEDFrameSubframeInfo si

### image

    public OMRaster image

Constructor Detail

### DTEDFrameSubframe

    public DTEDFrameSubframe(DTEDFrameSubframeInfo info)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details